Get expenses
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/expenses \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"versionId": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"createdByUserId": "8a7f40ea-4123-4ebe-bb05-e9b4b666e706",
"staff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"invoice": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"staffId": "<string>",
"matterId": "<string>",
"invoiceId": "fdb766bc-eb20-4bc1-9417-08b51a7b2286",
"origin": "<string>",
"activityCode": "PRT",
"utbmsTaskCode": "E101",
"subject": "Review contract",
"description": "Print documents",
"expenseDate": "2022-07-01",
"costType": "Hard",
"quantity": 3,
"price": 350.32,
"amount": 900.21,
"amountExcTax": 810.01,
"amountIncTax": 900.21,
"tax": 90,
"outputTax": 85,
"taxInclusive": false,
"taxZeroRated": false,
"taxOutOfScope": false,
"taxExempt": false,
"finalized": false,
"isWrittenOff": false,
"isBillable": false,
"isInvoicedExternally": false,
"isDeleted": false
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Expenses
Get expenses
Returns a list of expenses for the specified matter.
GET
/
matters
/
{matterId}
/
expenses
Get expenses
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/expenses \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"versionId": "23d2a4bc-8529-462e-8560-dfbf4fa24e49",
"createdByUserId": "8a7f40ea-4123-4ebe-bb05-e9b4b666e706",
"staff": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"invoice": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"staffId": "<string>",
"matterId": "<string>",
"invoiceId": "fdb766bc-eb20-4bc1-9417-08b51a7b2286",
"origin": "<string>",
"activityCode": "PRT",
"utbmsTaskCode": "E101",
"subject": "Review contract",
"description": "Print documents",
"expenseDate": "2022-07-01",
"costType": "Hard",
"quantity": 3,
"price": 350.32,
"amount": 900.21,
"amountExcTax": 810.01,
"amountIncTax": 900.21,
"tax": 90,
"outputTax": 85,
"taxInclusive": false,
"taxZeroRated": false,
"taxOutOfScope": false,
"taxExempt": false,
"finalized": false,
"isWrittenOff": false,
"isBillable": false,
"isInvoicedExternally": false,
"isDeleted": false
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Path Parameters
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Returns expenses updated since a specified time (.net ticks representation of the UTC datetime).
Response
When request is successful. Returns a paged collection of 'Expense' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I